Skip to content

DELETE Network Policy.

DELETE
/api/config/namespaces/{namespace}/network_policys/{name}
curl --request DELETE \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/network_policys/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "fail_if_referred": true, "name": "example", "namespace": "example" }'

DELETE the specified network_policy.

Examples of this operation.

namespace
required
string

Namespace Namespace in which the configuration object is present.

name
required
string

Name Name of the configuration object.

Media typeapplication/json
DeleteRequest is used to delete a network_policy

This is the input message of the ‘DELETE’ RPC.

object
fail_if_referred
fail_if_referred

Fail the DELETE operation if this object is being referred by other objects.

boolean format: boolean
name
name

Name of the configuration object.

string
>= 6 characters <= 1024 characters
namespace
namespace

Namespace in which the configuration object is present.

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"fail_if_referred": true,
"name": "example",
"namespace": "example"
}

A successful response.

Media typeapplication/json
Examplegenerated
example

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example